package cn.com.countrygarden.bi.main.dto.tbsysuser;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 选择器搜索DTO
 * @author: Li.ning
 * @create: 2019-03-07 10:59
 **/
public class RtsUserQuery implements Serializable {
    /**
     * 员工工号/编号
     */
    private List<String> employeeCodes;

    /**
     * 账号（手机号、邮箱）
     */
    private List<String> phoneOrEmails;

    /**
     * 姓名
     */
    private String employeeNames;

    /**
     * 员工主键
     */
    private List<String> employeeIds;
    /**
     * 组织名称
     */
    private String depName;

    private String loginCode;

    private String excludeIdsSql;

    private String userName;

    private String deptName;

    private List<String> excludeIds;

    public List<String> getEmployeeCodes() {
        return employeeCodes;
    }

    public void setEmployeeCodes(List<String> employeeCodes) {
        this.employeeCodes = employeeCodes;
    }

    public List<String> getPhoneOrEmails() {
        return phoneOrEmails;
    }

    public void setPhoneOrEmails(List<String> phoneOrEmails) {
        this.phoneOrEmails = phoneOrEmails;
    }

    public String getEmployeeNames() {
        return employeeNames;
    }

    public void setEmployeeNames(String employeeNames) {
        this.employeeNames = employeeNames;
    }

    public List<String> getEmployeeIds() {
        return employeeIds;
    }

    public void setEmployeeIds(List<String> employeeIds) {
        this.employeeIds = employeeIds;
    }

    public List<String> getExcludeIds() {
        return excludeIds;
    }

    public void setExcludeIds(List<String> excludeIds) {
        this.excludeIds = excludeIds;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getLoginCode() {
        return loginCode;
    }

    public void setLoginCode(String loginCode) {
        this.loginCode = loginCode;
    }

    public String getExcludeIdsSql() {
        return excludeIdsSql;
    }

    public void setExcludeIdsSql(String excludeIdsSql) {
        this.excludeIdsSql = excludeIdsSql;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}